com.r3corda.contracts / InterestRateSwap / Common

# Common

`data class Common`

This Common area contains all the information that is not leg specific.

### Constructors

<init> | `Common(baseCurrency: Currency, eligibleCurrency: Currency, eligibleCreditSupport: String, independentAmounts: Amount, threshold: Amount, minimumTransferAmount: Amount, rounding: Amount, valuationDate: String, notificationTime: String, resolutionTime: String, interestRate: ReferenceRate, addressForTransfers: String, exposure: UnknownType, localBusinessDay: BusinessCalendar, dailyInterestAmount: Expression, tradeID: String, hashLegalDocs: String)` This Common area contains all the information that is not leg specific.

### Properties

addressForTransfers | `val addressForTransfers: String`
baseCurrency | `val baseCurrency: Currency`
dailyInterestAmount | `val dailyInterestAmount: Expression`
eligibleCreditSupport | `val eligibleCreditSupport: String`
eligibleCurrency | `val eligibleCurrency: Currency`
exposure | `val exposure: UnknownType`
hashLegalDocs | `val hashLegalDocs: String`
independentAmounts | `val independentAmounts: Amount`
interestRate | `val interestRate: ReferenceRate`
localBusinessDay | `val localBusinessDay: BusinessCalendar`
minimumTransferAmount | `val minimumTransferAmount: Amount`
notificationTime | `val notificationTime: String`
resolutionTime | `val resolutionTime: String`
rounding | `val rounding: Amount`
threshold | `val threshold: Amount`
tradeID | `val tradeID: String`
valuationDate | `val valuationDate: String`